Wednesday, June 20, 2007

Help Planet Atheism's Alexa Rank!

As some of you know, besides being an atheist and maintaining Planet Atheism, I'm also, among other things, a Unix/Linux systems administrator, and I'm also interested in subjects like search engine optimization, website creation and promotion, full-time blogging, and so on.

One thing I've noticed is that PA has a much, much worse Alexa rank than many other of my sites, even though they are less visited. Obviously, this will not do. :)

Therefore, as a favor (and this is just a favor to me, nothing more -- I won't be annoyed if you don't do it, and I have no way of knowing who does and doesn't), I'd like to ask you, if you read PA through the site (as opposed to the RSS feed), to please install this Firefox extension. Just click on the grey "download searchstatus" button, and follow the instructions. After you install it and restart your browser (as indicated), you will get a small box on your browser's statusbar with PageRank, Alexa and Compete indicators, and will be contributing to the latter two's ratings every time you access PA.

If you use Internet Explorer, I'd advise you to switch to Firefox, for your own sake, not mine, as it's a much better, more secure browser (and then install the above extension! :) ). Opera, Safari and Konqueror users can't help me on this one, unfortunately: they're great browsers, but the extension isn't available for them.

Again, this is simply a personal favor I'm asking. It requires virtually no work from you, and you will be helping promote PA by improving its statistics (and rank). But I'll understand if you don't want to do it, of course.

Thanks in advance. :)

2 comments:

EdCrypt said...

As some of you know, besides being an atheist and maintaining Planet Atheism, I'm also, among other things, a Unix/Linux systems administrator, and I'm also interested in subjects like search engine optimization, website creation and promotion, full-time blogging, and so on.

Cool! I'm a Linux user and Python programmer.

Opera, Safari and Konqueror users can't help me on this one, unfortunately: they're great browsers, but the extension isn't available for them.

I use Epiphany, and it supports some Firefox and Mozilla Extensions, as long as they dont have a xpi interface. I'll try to install this oe.

vjack said...

I installed it, but I'm a little concerned about the privacy issues. I'm not sure I'll keep it.